using DiunaBI.Application.DTOModels;

namespace DiunaBI.UI.Shared.Services;

public class LayerFilterStateService
{
    public LayerFilterRequest FilterRequest { get; set; } = new();

    public void UpdateFilter(LayerFilterRequest request)
    {
        FilterRequest = request;
    }

    public void ClearFilter()
    {
        FilterRequest = new LayerFilterRequest();
    }
}
